﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Scribd.Net
{
    /// <summary>
    /// Event arguments for document events.
    /// </summary>
    public sealed class DocumentEventArgs : EventArgs
    {
        private Document m_document;

        /// <summary>
        /// ctor
        /// </summary>
        /// <param name="document">Document related to the event.</param>
        internal DocumentEventArgs(Document document)
            : base()
        {
            m_document = document;
        }

        /// <summary>
        /// Document related to the event.
        /// </summary>
        public Document Document { get { return m_document; } }

        /// <summary>
        /// Cancel the event
        /// </summary>
        public bool Cancel { get; set; }
    }
}