﻿using System;
namespace Scribd.Net
{
    /// <summary>
    /// Event arguments for user events.
    /// </summary>
    public sealed class UserEventArgs : EventArgs
    {
        private User m_user;
        private bool m_success;

        internal UserEventArgs()
            : base()
        {
            m_user = new User();
        }

        /// <summary>
        /// The affected user.
        /// </summary>
        public User User { get { return m_user; } internal set { m_user = value; } }

        /// <summary>
        /// Indicates the successfulness of the action.
        /// </summary>
        public bool Success { get { return m_success; } internal set { m_success = value; } }

        /// <summary>
        /// Cancel the action.
        /// </summary>
        public bool Cancel { get; set; }
    }
}